#
# spec file for package bonnie++
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bonnie++
Version:        2.00a
Release:        2.4
Summary:        A Bonnie-Like File System Benchmark
License:        MIT
URL:            https://www.coker.com.au/bonnie++/
Source:         https://www.coker.com.au/bonnie++/bonnie++-%{version}.tgz
# PATCH-FIX-UPSTREAM bonnie++-1.96-makefile.patch -- fixes make install
Patch0:         bonnie++-1.96-makefile.patch
Patch1:         bonnie++-1.98-bon_csv2html.patch
BuildRequires:  gcc-c++

%description
Bonnie++ is a benchmark suite aimed at performing a number of simple
hard drive and file system performance tests.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1

%build
%configure \
  --disable-stripping
%make_build clean
%make_build MORECFLAGS="%{optflags}"

%install
%make_install

%files
%doc README-2.00 README.txt
%{_bindir}/bon_csv2html
%{_bindir}/bon_csv2txt
%{_bindir}/generate_randfile
%{_sbindir}/bonnie++
%{_sbindir}/getc_putc
%{_sbindir}/getc_putc_helper
%{_sbindir}/zcav
%{_mandir}/man1/bon_csv2html.1%{?ext_man}
%{_mandir}/man1/bon_csv2txt.1%{?ext_man}
%{_mandir}/man1/generate_randfile.1%{?ext_man}
%{_mandir}/man8/bonnie++.8%{?ext_man}
%{_mandir}/man8/getc_putc.8%{?ext_man}
%{_mandir}/man8/zcav.8%{?ext_man}

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Feb 15 2023 Avinesh Kumar <avinesh.kumar@suse.com>
- Update to 2.00a:
  * Fixed an error in assigning colors in bon_csv2html.
* Fri Jun 25 2021 Fernando Mattioli <mattioli.fernando@gmail.com>
- Add patch:
  * bonnie++-1.98-bon_csv2html.patch (fixes gcc11 build).
* Sat Sep 12 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.98:
  * Allow specifying the number of random seeks and the number
  of seeker processes and store that in the CSV (for testing NVMe).
  * Changed the text output to use KiB/MiB/GiB as units of measurement so we
  can fit NVMe results on screen.
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 1.97.3:
  * man page fixes
  * fixed symlink test
  * CSS fix for bon_csv2html
* Sun Nov 13 2016 mpluskal@suse.com
- Update to version 1.97.2
  * make it build with GCC-6
  * fix some Debian bugs.
- Drop needed patch bonnie++-1.96-minmax.patch
* Sun Jun 19 2016 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use configure and make install
- Add patches (both from Fedora):
  * bonnie++-1.96-minmax.patch (building with gcc6 - boo#985139)
  * bonnie++-1.96-makefile.patch (fixes installation using make)
* Fri Oct 17 2014 dsterba@suse.cz
- replace tarball with the upstream version
* Thu Jul 31 2014 alarrosa@suse.com
- Two small fixes to the spec file. Sources now is an url to
  the upstream package and removed a provides statement which is
  not needed since it's implicit (both noticed by dimstar)
* Wed Jul 30 2014 dsterba@suse.cz
- upgraded source to version 1.97
  * fixed a bunch of bugs including bad CSV output.
* Wed Oct 12 2011 tabraham@novell.com
- upgraded source to version 1.96
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Feb 11 2009 xxiao@suse.de
- fix bnc#442857 with right C++ delete
* Mon Feb  9 2009 yxu@suse.de
- upgraded source to version 1.03d, bnc#414150
* Mon Dec  3 2007 ro@suse.de
- fix build with gcc-4.3
* Fri May 26 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Tue Dec 18 2001 ro@suse.de
- added <gpp,libgpp> to neededforbuild
- cleaned up install locations
* Tue Dec 18 2001 ories@suse.de
- initial package
- replaced getc/putc with getc_unlocked/putc_unlocked
